/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.ejb.session;

import java.util.List;
import javax.ejb.Remote;
import sikd.ikonsol.model.HeaderDataKonsolidasi;
import sikd.ikonsol.model.RawData;
import sikd.ikonsol.model.RawDataLak;
import sikd.ikonsol.model.RawDataLpe;
import sikd.ikonsol.model.RawDataLpsal;

/**
 *
 * @author Imam Bhoim
 */
@Remote
public interface HeaderDataKonsolidasiEjbHome {

    public List<HeaderDataKonsolidasi> findAll();

    public HeaderDataKonsolidasi findByID(int id);

    public HeaderDataKonsolidasi createNew();

    public HeaderDataKonsolidasi save(HeaderDataKonsolidasi obj);

    public HeaderDataKonsolidasi findByKode(String kode);

    public HeaderDataKonsolidasi update(HeaderDataKonsolidasi obj);

    public void delete(int id);

    public RawData saveImportRawdata(RawData obj);

    public RawData saveImportRawdataUpdate(RawData obj);

    public List<HeaderDataKonsolidasi> findByPemdaCount(int header);

    public List<HeaderDataKonsolidasi> findByPemdaCountLak(int header);

    public List<HeaderDataKonsolidasi> findByPemdaCountLpe(int header);

    public List<HeaderDataKonsolidasi> findByPemdaCountLpsal(int header);

    public RawDataLak saveImportRawdataLak(RawDataLak obj);

    public RawDataLak saveImportRawdataLakUpdate(RawDataLak obj);

    public RawDataLpe saveImportRawdataLpe(RawDataLpe obj);

    public RawDataLpe saveImportRawdataLpeUpdate(RawDataLpe obj);

    public RawDataLpsal saveImportRawdataLpsal(RawDataLpsal obj);

    public RawDataLpsal saveImportRawdataLpsalUpdate(RawDataLpsal obj);

    public HeaderDataKonsolidasi copyData(HeaderDataKonsolidasi obj);

    public List<HeaderDataKonsolidasi> findKdpemda();

    public void deleteData(String kdpemda, int id);

    public void deleteRawTemp();

    public List<HeaderDataKonsolidasi> findKdpemdaLpe();

    public void deleteDataLpe(String kdpemda, int id);

    public void deleteRawLpeTemp();

    public List<HeaderDataKonsolidasi> findKdpemdaLak();

    public void deleteDataLak(String kdpemda, int id);

    public void deleteRawLakTemp();

    public List<HeaderDataKonsolidasi> findKdpemdaLpsal();

    public void deleteDataLpsal(String kdpemda, int id);

    public void deleteRawLpsalTemp();
}
